Bug 1398001 - [abrt] cinnamon: g_desktop_app_info_get_is_hidden(): cinnamon killed by SIGSEGV
Summary: [abrt] cinnamon: g_desktop_app_info_get_is_hidden(): cinnamon killed by SIGSEGV
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:413a51cdf16de6ca6f17825e8a4...
Keywords:
: 1456266 1493474 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-23 19:37 UTC by Arjen Heidinga
Modified: 2017-11-18 18:46 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-11-18 03:44:48 UTC


Attachments (Terms of Use)
File: backtrace (31.80 KB, text/plain)
2016-11-23 19:38 UTC, Arjen Heidinga
no flags Details
File: cgroup (242 bytes, text/plain)
2016-11-23 19:38 UTC, Arjen Heidinga
no flags Details
File: core_backtrace (5.01 KB, text/plain)
2016-11-23 19:38 UTC, Arjen Heidinga
no flags Details
File: dso_list (21.83 KB, text/plain)
2016-11-23 19:38 UTC, Arjen Heidinga
no flags Details
File: environ (1.98 KB, text/plain)
2016-11-23 19:38 UTC, Arjen Heidinga
no flags Details
File: limits (1.29 KB, text/plain)
2016-11-23 19:38 UTC, Arjen Heidinga
no flags Details
File: maps (123.96 KB, text/plain)
2016-11-23 19:38 UTC, Arjen Heidinga
no flags Details
File: mountinfo (3.68 KB, text/plain)
2016-11-23 19:38 UTC, Arjen Heidinga
no flags Details
File: namespaces (102 bytes, text/plain)
2016-11-23 19:38 UTC, Arjen Heidinga
no flags Details
File: open_fds (6.77 KB, text/plain)
2016-11-23 19:38 UTC, Arjen Heidinga
no flags Details
File: proc_pid_status (1.13 KB, text/plain)
2016-11-23 19:38 UTC, Arjen Heidinga
no flags Details
File: var_log_messages (229 bytes, text/plain)
2016-11-23 19:38 UTC, Arjen Heidinga
no flags Details

Description Arjen Heidinga 2016-11-23 19:37:58 UTC
Description of problem:
Not sure. I have the idea that it  happened when bumblebee finished compiling and inserted the nvidia modile. 

Version-Release number of selected component:
cinnamon-3.0.7-3.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: g_desktop_app_info_get_is_hidden
executable:     /usr/bin/cinnamon
global_pid:     3286
kernel:         4.8.8-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       unknown
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 g_desktop_app_info_get_is_hidden at gdesktopappinfo.c:2020
 #1 desktop_entry_get_hidden at desktop-entries.c:616
 #2 process_layout at gmenu-tree.c:3690
 #4 gmenu_tree_build_from_layout at gmenu-tree.c:4767
 #5 gmenu_tree_load_sync at gmenu-tree.c:745
 #6 on_apps_tree_changed_cb at cinnamon-app-system.c:349
 #11 menu_layout_invoke_monitors at menu-layout.c:154
 #17 meta_run at core/main.c:542

Potential duplicate: bug 1036446

Comment 1 Arjen Heidinga 2016-11-23 19:38:03 UTC
Created attachment 1223414 [details]
File: backtrace

Comment 2 Arjen Heidinga 2016-11-23 19:38:04 UTC
Created attachment 1223415 [details]
File: cgroup

Comment 3 Arjen Heidinga 2016-11-23 19:38:06 UTC
Created attachment 1223416 [details]
File: core_backtrace

Comment 4 Arjen Heidinga 2016-11-23 19:38:08 UTC
Created attachment 1223417 [details]
File: dso_list

Comment 5 Arjen Heidinga 2016-11-23 19:38:09 UTC
Created attachment 1223418 [details]
File: environ

Comment 6 Arjen Heidinga 2016-11-23 19:38:10 UTC
Created attachment 1223419 [details]
File: limits

Comment 7 Arjen Heidinga 2016-11-23 19:38:13 UTC
Created attachment 1223420 [details]
File: maps

Comment 8 Arjen Heidinga 2016-11-23 19:38:14 UTC
Created attachment 1223421 [details]
File: mountinfo

Comment 9 Arjen Heidinga 2016-11-23 19:38:16 UTC
Created attachment 1223422 [details]
File: namespaces

Comment 10 Arjen Heidinga 2016-11-23 19:38:17 UTC
Created attachment 1223423 [details]
File: open_fds

Comment 11 Arjen Heidinga 2016-11-23 19:38:18 UTC
Created attachment 1223424 [details]
File: proc_pid_status

Comment 12 Arjen Heidinga 2016-11-23 19:38:20 UTC
Created attachment 1223425 [details]
File: var_log_messages

Comment 13 Arjen Heidinga 2016-12-08 09:35:39 UTC
By accident set the 'private' flag. I cannot remove it, sorry.

Comment 14 leigh scott 2016-12-08 14:47:30 UTC
Does the issue still occur with cinnamon-3.2.x?

Comment 15 Arjen Heidinga 2016-12-08 15:22:24 UTC
This is rather odd. I was under the impression that I run cinnamon 3.2.0:

1:aheidinga@alux ~$ rpm -qa | grep cinnamon
cinnamon-translations-3.2.1-1.fc25.noarch
cinnamon-control-center-filesystem-3.2.0-1.fc25.x86_64
imsettings-cinnamon-1.7.2-1.fc25.x86_64
cinnamon-menus-3.2.0-1.fc25.x86_64
cinnamon-3.2.2-2.fc25.x86_64
cinnamon-desktop-debuginfo-3.0.2-2.fc25.x86_64
cinnamon-settings-daemon-3.2.0-1.fc25.x86_64
cinnamon-session-3.2.0-1.fc25.x86_64
cinnamon-control-center-3.2.0-1.fc25.x86_64
cinnamon-desktop-3.2.1-2.fc25.x86_64
cinnamon-debuginfo-3.0.7-3.fc25.x86_64
cinnamon-screensaver-3.2.6-1.fc25.x86_64
cinnamon-menus-debuginfo-3.0.2-1.fc25.x86_64


0:aheidinga@alux ~$ cinnamon --version
Cinnamon 3.2.2

Only the debuginfo packages seem outdated. If this bugreport is not anymore usefull, I will create a new one next reboot.

Comment 16 Eugeny 2017-03-01 10:57:13 UTC
Similar problem has been detected:

I ran the 1C (accounting application) in the blob Nvidia

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: g_desktop_app_info_get_is_hidden
executable:     /usr/bin/cinnamon
global_pid:     1405
kernel:         4.9.12-200.fc25.x86_64
package:        cinnamon-3.2.8-13.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         cinnamon killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 Gianfranco 2017-05-28 14:26:00 UTC
*** Bug 1456266 has been marked as a duplicate of this bug. ***

Comment 18 odamlar 2017-06-06 09:56:17 UTC
Similar problem has been detected:

Problem appears from time to time. It happenes, as I think, after I start 1C-Thin-client program. Because, if I don't start this program whole day nothing happenes with Cinnamon and it's works fine.
Near 50% of attempts to start 1C program is the cause of  Cinnamon crash.
Here the comaand which start this program: /opt/1C/v8.3/x86_64/1cv8c 

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: g_desktop_app_info_get_is_hidden
executable:     /usr/bin/cinnamon
global_pid:     1510
kernel:         4.11.3-200.fc25.x86_64
package:        cinnamon-3.4.0-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         cinnamon killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 19 Fedora Admin XMLRPC Client 2017-07-06 07:36:22 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 20 Svarog 2017-09-20 09:37:33 UTC
*** Bug 1493474 has been marked as a duplicate of this bug. ***

Comment 21 Fedora Update System 2017-11-13 10:30:38 UTC
cinnamon-control-center-3.6.2-2.fc26 cinnamon-3.6.2-1.fc26 cinnamon-screensaver-3.6.1-1.fc26 cinnamon-translations-3.6.2-1.fc26 cinnamon-desktop-3.6.2-3.fc26 cjs-3.6.1-1.fc26 xapps-1.0.4-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ebe0c8716d

Comment 22 Fedora Update System 2017-11-13 10:31:13 UTC
cinnamon-control-center-3.6.2-2.fc27 cinnamon-screensaver-3.6.1-1.fc27 cinnamon-3.6.2-1.fc27 cinnamon-translations-3.6.2-1.fc27 cinnamon-desktop-3.6.2-3.fc27 cjs-3.6.1-1.fc27 xapps-1.0.4-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7a00ca207c

Comment 23 Fedora Update System 2017-11-14 04:09:34 UTC
cinnamon-3.6.2-1.fc26, cinnamon-control-center-3.6.2-2.fc26, cinnamon-desktop-3.6.2-3.fc26, cinnamon-screensaver-3.6.1-1.fc26, cinnamon-translations-3.6.2-1.fc26, cjs-3.6.1-1.fc26, xapps-1.0.4-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ebe0c8716d

Comment 24 Fedora Update System 2017-11-14 10:57:55 UTC
cinnamon-3.6.2-1.fc27, cinnamon-control-center-3.6.2-2.fc27, cinnamon-desktop-3.6.2-3.fc27, cinnamon-screensaver-3.6.1-1.fc27, cinnamon-translations-3.6.2-1.fc27, cjs-3.6.1-1.fc27, xapps-1.0.4-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7a00ca207c

Comment 25 Fedora Update System 2017-11-15 19:21:26 UTC
cinnamon-3.6.2-1.fc27 cinnamon-control-center-3.6.2-3.fc27 cinnamon-desktop-3.6.2-3.fc27 cinnamon-screensaver-3.6.1-1.fc27 cinnamon-translations-3.6.2-1.fc27 cjs-3.6.1-1.fc27 xapps-1.0.4-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7a00ca207c

Comment 26 Fedora Update System 2017-11-15 19:22:06 UTC
cinnamon-3.6.2-1.fc26 cinnamon-control-center-3.6.2-3.fc26 cinnamon-desktop-3.6.2-3.fc26 cinnamon-screensaver-3.6.1-1.fc26 cinnamon-translations-3.6.2-1.fc26 cjs-3.6.1-1.fc26 xapps-1.0.4-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ebe0c8716d

Comment 27 Fedora End Of Life 2017-11-16 14:13:00 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 28 Fedora Update System 2017-11-17 18:53:15 UTC
cinnamon-3.6.2-1.fc27, cinnamon-control-center-3.6.2-3.fc27, cinnamon-desktop-3.6.2-3.fc27, cinnamon-screensaver-3.6.1-1.fc27, cinnamon-translations-3.6.2-1.fc27, cjs-3.6.1-1.fc27, xapps-1.0.4-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7a00ca207c

Comment 29 Fedora Update System 2017-11-17 19:55:32 UTC
cinnamon-3.6.3-1.fc27 cinnamon-control-center-3.6.3-1.fc27 cinnamon-desktop-3.6.2-3.fc27 cinnamon-screensaver-3.6.1-1.fc27 cinnamon-translations-3.6.2-1.fc27 cjs-3.6.1-1.fc27 nemo-3.6.3-1.fc27 xapps-1.0.4-11.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7a00ca207c

Comment 30 Fedora Update System 2017-11-18 01:43:21 UTC
cinnamon-3.6.2-1.fc26, cinnamon-control-center-3.6.2-3.fc26, cinnamon-desktop-3.6.2-3.fc26, cinnamon-screensaver-3.6.1-1.fc26, cinnamon-translations-3.6.2-1.fc26, cjs-3.6.1-1.fc26, xapps-1.0.4-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ebe0c8716d

Comment 31 Fedora Update System 2017-11-18 03:44:48 UTC
cinnamon-3.6.3-1.fc27, cinnamon-control-center-3.6.3-1.fc27, cinnamon-desktop-3.6.2-3.fc27, cinnamon-screensaver-3.6.1-1.fc27, cinnamon-translations-3.6.2-1.fc27, cjs-3.6.1-1.fc27, nemo-3.6.3-1.fc27, xapps-1.0.4-11.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 32 Fedora Update System 2017-11-18 10:11:11 UTC
cinnamon-3.6.3-1.fc26 cinnamon-control-center-3.6.3-1.fc26 cinnamon-desktop-3.6.2-3.fc26 cinnamon-screensaver-3.6.1-1.fc26 cinnamon-translations-3.6.2-1.fc26 cjs-3.6.1-1.fc26 nemo-3.6.3-1.fc26 xapps-1.0.4-11.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ebe0c8716d

Comment 33 Fedora Update System 2017-11-18 18:46:22 UTC
cinnamon-3.6.3-1.fc26, cinnamon-control-center-3.6.3-1.fc26, cinnamon-desktop-3.6.2-3.fc26, cinnamon-screensaver-3.6.1-1.fc26, cinnamon-translations-3.6.2-1.fc26, cjs-3.6.1-1.fc26, nemo-3.6.3-1.fc26, xapps-1.0.4-11.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.